Subject: Re: bug#65027: 30.0.50; [PATCH] Document .elpaignore behavior in the Emacs Lisp manual

From: Jim Porter <[email-masked]>
Date: Thu, 3 Aug 2023 10:24:58 -0700

On 8/3/2023 6:36 AM, Stefan Monnier via Bug reports for GNU Emacs, the 
Swiss army knife of text editors wrote:
>>>   From the discussion in bug#64985, Eli mentioned that .elpaignore wasn't
>>> documented. (It turns out it's mentioned briefly in the GNU ELPA README,
>>> but that's the only place I could find.)
> 
> That's because it was the only place where `.elpaignore` was used/obeyed
> (until the introduction of `package-vc`).

Yeah, something more general that I've noticed is that as a package 
author, the documentation for how to make a package for GNU ELPA is 
split between the GNU ELPA README and the Emacs Lisp manual. I found 
this a bit confusing when I prepared my first package for submission to 
GNU ELPA, so (for example) I didn't learn about ".elpaignore" until 
after I sent my package submission to emacs-devel.

Maybe it would make sense to put all the documentation in the Emacs Lisp 
manual, and then the GNU ELPA README can be the home for documentation 
about how to work with the GNU ELPA repository specifically (mainly as 
an administrator). What do you think?